--- android.py.friend	2010-03-16 15:02:32.000000000 +0100
+++ android.py	2010-03-16 15:01:22.000000000 +0100
@@ -62,6 +62,15 @@
 		}
 		self.config['classname'] = "".join(string.capwords(self.name).split(' '))
 
+	def checkVersion(self, project_dir):
+		tiapp = ElementTree()
+		tiapp.parse(open(os.path.join(project_dir, 'build', 'android', 'bin', 'assets', 'tiapp.xml'), 'r'))
+		el = tiapp.find("version")
+		if el != None:
+			self.config['appversion'] = el.text
+			print "Version found: ",el.text
+        
+
 	def newdir(self, *segments):
 		path = os.path.join(*segments)
 		if not os.path.exists(path):
@@ -108,6 +117,7 @@
 
 		# Build up output directory tree
 		project_dir = self.newdir(dir, self.name)
+		self.checkVersion(project_dir)
 				
 		# Paths to Titanium assets that need to be linked into eclipse structure
 		self.config['ti_tiapp_xml'] = os.path.join(project_dir, 'tiapp.xml')
